# EmbeddedChartPlugin


### Installation

Embedded-Chart Feature provide the ability to insert charts that store data independently in diverse environments.

This feature includes the following plugin packages:

- `@univerjs-pro/embedded-chart` - Embedded Chart plugin

```shell npm2yarn
npm install @univerjs-pro/embedded-chart
```


## Usage

```typescript
import { LocaleType, merge, Univer } from '@univerjs/core';
import { defaultTheme } from "@univerjs/design";
import { UniverEmbeddedChartUIPlugin } from '@univerjs-pro/embedded-chart';
import EmbeddedChartZhCN from '@univerjs-pro/embedded-chart/locale/zh-CN';

import '@univerjs-pro/embedded-chart/lib/index.css';

const univer = new Univer({
  theme: defaultTheme,
  locale: LocaleType.ZH_CN,
  locales: {
    [LocaleType.ZH_CN]: merge(
      {},
      EmbeddedChartZhCN,
    ),
  },
});

univer.registerPlugin(UniverEmbeddedChartPlugin);
```
